漏洞信息详情

libIEC61850 缓冲区错误漏洞

  • CNNVD编号:CNNVD-201912-1000
  • 危害等级: 高危
  • CVE编号: CVE-2019-19931
  • 漏洞类型: 缓冲区错误
  • 发布时间: 2019-12-22
  • 威胁类型: 远程
  • 更新时间: 2020-06-17
  • 厂        商:
  • 漏洞来源:

漏洞简介

libIEC61850是一个IEC 61850协议的开源库。

libIEC61850 1.4.0版本中的mms/iso_mms/server/mms_access_result.c文件的‘MmsValue_decodeMmsData’函数存在缓冲区错误漏洞,该漏洞源于程序没有正确检查边界。远程攻击者可借助特制文件利用该漏洞在系统上执行任意代码。

漏洞公告

目前厂商暂未发布修复措施解决此安全问题,建议使用此软件的用户随时关注厂商主页或参考网址以获取解决办法:

http://libiec61850.com

参考网址

来源:github.com

链接:https://github.com/mz-automation/libiec61850/issues/194

受影响实体

    暂无


补丁

    暂无

漏洞信息快速查询

相关漏洞

更多